## miwm 1.1

=== Makefile ===
# ----------------------------------------------------------------
# RCS data:
# $Date: 2003/07/08 13:33:18 $
# $Revision: 1.4 $
# $Source: /cvsroot/miwm/miwm/miwm/Makefile,v $
# $Id: Makefile,v 1.4 2003/07/08 13:33:18 bwise837 Exp $
# $RCSfile: Makefile,v $
#
# ----------------------------------------------------------------
# Copyright Ben Paul Wise.
# ----------------------------------------------------------------
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------

default: all

DEPS_FILE = make.depend
include make.config
include $(DEPS_FILE)

# ----------------------------------------------------------------

# clear the list
.SUFFIXES:

# add our own list
.SUFFIXES: .o  .cc

CFLAGS = $(DBGFLAGS) -D_POSIX_SOURCE -DSHAPE


TARGET = all

OBJS = 	miwm.o manage.o mouse.o client.o cursor.o error.o	\
	disp.o shape.o resource.o  wspace.o wm.o menu.o	\
	null.o ops.o mipix.o				\
	alpha.o nodes.o rng.o mlchckr.o \
	miwm_framework.o \
	EKeyValueParser.o EPropertyList.o ESimpleCLParser.o EStringTokenizer.o EStringList.o EPathFinder.o EStdStringTokenizer.o \
	EShellProcess.o

HEADERS = client.h  miwm.h    struct.h	mimenu.h  null.h    ws.h mipix.h \
	miwm_framework.h \
	EKeyValueParser.h EPropertyList.h ESimpleCLParser.h EStringTokenizer.h EStringList.h EPathFinder.h EStdStringTokenizer.h \
	EShellProcess.h

SRCS = $(OBJS:.o=.cc)

INCS = 	-I.  -I/usr/X11R6/include -I/include	\
	-I$(INSTALLDIR)/include/beta
#	-I/usr/include/g++			\
#	-I$(HOME)/lib/beta/include

all: TAGS $(DEPS_FILE) miwm
#	$(MAKE) TAGS
#	$(MAKE) depend
#	$(MAKE) miwm

miwm:  $(OBJS) $(HEADERS)
	@echo linking $@
	$(CC) -g $(OBJS) -o miwm $(LDFLAGS)


# compile  CC  files
.cc.o :
	@echo "  compiling $*.cc"
	@$(CC)  -c $(CFLAGS) $(INCS) $*.cc -o $*.o



clean:
	rm -f *.o *~ core *.tmp

distclean:
	$(MAKE) clean
	rm -f TAGS *.pv .nfs*
	rm -f $(DEPS_FILE)
	rm -f make.config
	cp config.linux make.config
	rm -f miwm miwm.pure

TAGS:  $(SRCS) $(HEADERS)
	etags *.cc *.h


$(DEPS_FILE):  $(SRCS) $(HEADERS)
	@echo "Building $(DEPS_FILE) file. Please be patient."
	@$(CC) $(DEPFLAG) $(SRCS) $(INCS)  >> $(DEPS_FILE).tmp
	@mv $(DEPS_FILE).tmp $(DEPS_FILE)
	@echo "Done building $(DEPS_FILE) file."
depend: $(DEPS_FILE)

cleanly:
	$(MAKE) distclean
	$(MAKE) all
	$(MAKE) clean

# make sure, on install, that we are actually installing
# the most recent executable. also move a basic man page.
# NB: you probably have to be root to do this.
install:	
	$(MAKE) miwm
	cp miwm $(INSTALLDIR)/bin/miwm
	cp miwm.1 $(INSTALLDIR)/man/man1

MANIFEST: distclean
	ls -lR > MANIFEST; ls -lR > MANIFEST

# make compressed archive
zdistrib: MANIFEST
	cd ..; tar -czvf miwm`date +%Y%m%d`.tgz miwm

# make uncompressed archive
distrib: 
	@$(MAKE) distclean
	@$(MAKE) MANIFEST
	@echo making compressed archive
	@cd ..; tar -cf miwm`date +%Y%m%d`.tar miwm

# make a distribution, sign it, and bundle them together
# (no need to compress twice)
signed_zdistrib: MANIFEST
	make distrib
	cd .. ; gpg --armor --output miwm`date +%Y%m%d`.tar.sig  --detach-sign miwm`date +%Y%m%d`.tar
	cd .. ; tar -zcf miwm`date +%Y%m%d`.tgz    miwm`date +%Y%m%d`.tar.sig   miwm`date +%Y%m%d`.tar
	cd .. ; rm -f  miwm`date +%Y%m%d`.tar.sig   miwm`date +%Y%m%d`.tar

# ----------------------------------------------------------------
# end of miwm makefile
# ----------------------------------------------------------------

=== debian/changelog ===
miwm (1.1-3) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 14:10:22 -0400

miwm (1.1-2) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
    - (Standards-Version): update to 3.9.2.
  * debian/copyright
    - Update to latest DEP5 format.
  * debian/rules
    - Clean up unused rules.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 13 Feb 2012 07:17:45 -0500

miwm (1.1-1) unstable; urgency=low

  * Initial release (ITP; Closes: #364485).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 04 Jan 2010 15:25:34 +0200

=== debian/control ===
Source: miwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), pkg-config, libx11-dev, libxpm-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/miwm.git
Vcs-Git: git://git.debian.org/git/collab-maint/miwm.git
Homepage: http://freshmeat.net/projects/miwm

Package: miwm
Provides: x-window-manager
Suggests: idesk, fbdesk, xinit, x11-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist window manager with virtual workspaces
 MIWM is a minimalist window manager with virtual workspaces. It is
 designed to be used for low end PCs where low resource usage and
 minimal memory footprint is desired. MIWM is written in C++.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = miwm

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)-session makeman

override_dh_auto_install:
	# See debian/install

override_dh_auto_build: man
	$(MAKE) CC="g++ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

%:
	dh $@

.PHONY: man

# End of file

=== debian/watch ===
version=3
http://sf.net/miwm/miwm-(.+)\.tar\.gz
